@import url("https://fonts.googleapis.com/css2?family=Overlock:ital,wght@0,400;0,700;0,900;1,400;1,700;1,900&family=Play&family=Playball&family=Poppins:ital,wght@0,700;1,300;1,400;1,700&family=Red+Hat+Display:wght@600&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  /* Safari, other WebKit */
  -moz-box-sizing: border-box;
  /* Firefox, other Gecko */
}

body {
  background: rgba(42, 5, 108);
}

html {
  scroll-behavior: smooth;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: rgba(42, 5, 108);
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  background: #c020d0;
  border-radius: 10px;
}

/* .nav {
  background: linear-gradient(
    90.11deg,
    #8432df 8.33%,
    #c020d0 49.48%,
    #902edc 90.63%
  );
  border-bottom: 1px solid #fff;
}

.menu-item {
  text-transform: none;
  color: #ffff;
  font-family: "Red Hat Display", sans-serif;
  font-size: 16px;
  font-weight: 600;
  margin-right: 18px;
}

.menu-item:hover {
  font-size: 18px;
  color: #ffff;
  -webkit-text-stroke-width: 0.5px;
  -webkit-text-stroke-color: #fc0fc0;
}

.nav-link-active {
  font-size: 19px;
  color: #ffff;
  -webkit-text-stroke-width: 0.5px;
  -webkit-text-stroke-color: #fc0fc0;
  margin-left: 0.5rem;
}

.toggle-btn {
  background-color: transparent;
  border-radius: 0px;
  border: none;
  outline: none;
}

.register {
  background-color: #fc0fc0;
  color: #ffff;
  border: 2px solid #ffff;
  font-weight: bold;
  font-size: 18px;
  padding: 6px 36px;
  border-radius: 20px;
} */

/* .main {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #0c52a1;
} */

.main {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 20px;
  justify-items: center;
  justify-content: center;
  grid-auto-flow: dense;
  grid-column: span 3 / span 3;
  margin-top: 30px;
  margin-bottom: 70px;
  /* display: flex;
    flex-wrap: wrap;
    justify-content: center; */
}

.profile-card {
  position: relative;
  width: 220px;
  height: 220px;
  background: #fff;
  padding: 30px;
  border-radius: 50%;
  box-shadow: 0 0 22px #3336;
  transition: 0.6s;
  margin-top: 50px;
  /* flex: 0 0 calc(25.33%); */
}

/* Dealing with 2 orphan items */

/* .profile-card:last-child:nth-child(3n - 1) {
    grid-column-end: 3;
}

.profile-card:nth-last-child(2):nth-child(3n + 1) {
    grid-column-end: 2;
} */

/* Dealing with single orphan */

/* .item:last-child:nth-child(3n - 2) {
    grid-column-end: 5;
} */

.profile-card:hover {
  border-radius: 10px;
  height: 260px;
}

.profile-card .img {
  position: relative;
  width: 100%;
  height: 100%;
  transition: 0.6s;
  z-index: 99;
}

.profile-card:hover .img {
  transform: translateY(-60px);
}

.img img {
  width: 100%;
  border-radius: 50%;
  box-shadow: 0 0 22px #3336;
  transition: 0.6s;
}

.profile-card:hover img {
  border-radius: 10px;
}

.caption {
  text-align: center;
  transform: translateY(-80px);
  opacity: 0;
  transition: 0.6s;
}

.profile-card:hover .caption {
  opacity: 1;
}

.caption h3 {
  font-size: 21px;
}

.caption p {
  font-size: 16px;
  color: #0c52a1;
  margin: 2px 0 9px 0;
}

.caption .social-links a {
  color: #333;
  font-size: 21px;
  transition: 0.6s;
}

.social-links a:hover {
  color: #0c52a1;
}

/* Media Query */
@media screen and (max-width: 768px) {
  .main {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: 480px) {
  .main {
    grid-template-columns: 1fr;
  }
}
